Bug 269458 - Digikam 2.0.0-beta3 crash while assigning face tags
Summary: Digikam 2.0.0-beta3 crash while assigning face tags
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.0.0
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-26 12:23 UTC by James Colby
Modified: 2017-07-26 06:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James Colby 2011-03-26 12:23:05 UTC
Application: digikam (2.0.0-beta3)
KDE Platform Version: 4.6.1 (4.6.1) (Compiled from sources)
Qt Version: 4.7.1
Operating System: Linux 2.6.36-gentoo-r5 x86_64
Distribution (Platform): Gentoo Packages

-- Information about the crash:
Digikam is crashing while adding face tags to images.  Faces are detected very well, then while I am filling out the "who is this" box I'll get a crash.  It seems to be failrly random, but has happened 3 times already today.

The crash can be reproduced some of the time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
__lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
	in ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S
[Current thread is 1 (Thread 0x7f8a3fd287c0 (LWP 17595))]

Thread 16 (Thread 0x7f8a202d8700 (LWP 17599)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f8a37698a8b in wait (this=<value optimized out>, mutex=0x10e2948, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x10e2948, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x000000000060581b in Digikam::ScanController::run (this=0x10e3ac0) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/digikam/database/scancontroller.cpp:602
#4  0x00007f8a37697ede in QThreadPrivate::start (arg=0x10e3ac0) at thread/qthread_unix.cpp:285
#5  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 15 (Thread 0x7f8a1fad7700 (LWP 17600)):
#0  0x00007f8a3740a045 in __pthread_mutex_lock (mutex=0x11a9be8) at pthread_mutex_lock.c:61
#1  0x00007f8a360b83d1 in g_main_context_query (context=0x11a9be0, max_priority=2147483647, timeout=0x7f8a1fad6c68, fds=0x7f8a18001060, n_fds=2) at gmain.c:2829
#2  0x00007f8a360be28c in g_main_context_iterate (context=0x11a9be0, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3073
#3  0x00007f8a360be7ec in g_main_context_iteration (context=0x11a9be0, may_block=1) at gmain.c:3154
#4  0x00007f8a377b5636 in QEventDispatcherGlib::processEvents (this=0x11ab970, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#5  0x00007f8a37788352 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#6  0x00007f8a37788734 in QEventLoop::exec (this=0x7f8a1fad6d80, flags=) at kernel/qeventloop.cpp:201
#7  0x00007f8a37694f4d in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#8  0x00007f8a37768548 in QInotifyFileSystemWatcherEngine::run (this=0x10e1cb0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f8a37697ede in QThreadPrivate::start (arg=0x10e1cb0) at thread/qthread_unix.cpp:285
#10 0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#11 0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 14 (Thread 0x7f8a1f2d6700 (LWP 17602)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f8a37698a8b in wait (this=<value optimized out>, mutex=0x1289628, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1289628, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f8a3c7bf5b3 in Digikam::ParkingThread::run (this=0x1289610) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threads/threadmanager.cpp:119
#4  0x00007f8a37697ede in QThreadPrivate::start (arg=0x1289610) at thread/qthread_unix.cpp:285
#5  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#6  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 13 (Thread 0x7f8a116a2700 (LWP 17603)):
#0  pthread_cond_timedwait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f8a29b4a12e in metronom_sync_loop (this=0x16bae70) at metronom.c:870
#2  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#3  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 12 (Thread 0x7f8a10266700 (LWP 17604)):
#0  0x00007f8a36455f53 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f8a29b6ff85 in xine_usec_sleep (usec=<value optimized out>) at utils.c:481
#2  0x00007f8a29b56a11 in video_out_loop (this_gen=<value optimized out>) at video_out.c:1246
#3  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7f8a0fa65700 (LWP 17605)):
#0  0xffffffffff60013b in ?? ()
#1  0x00007f8a0fa64a40 in ?? ()
#2  0x00007fff7c7ff852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 10 (Thread 0x7f8a0f05f700 (LWP 17606)):
#0  0x00007f8a36453b43 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f8a35e62adf in poll_func (ufds=0x1aee960, nfds=2, timeout=-1, userdata=0x1aeb4e0) at pulse/thread-mainloop.c:75
#2  0x00007f8a35e52926 in pa_mainloop_poll (m=0x1aeb3e0) at pulse/mainloop.c:879
#3  0x00007f8a35e53d09 in pa_mainloop_iterate (m=0x1aeb3e0, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00007f8a35e53dc0 in pa_mainloop_run (m=0x1aeb3e0, retval=0x0) at pulse/mainloop.c:979
#5  0x00007f8a35e628db in thread (userdata=0x1aeb3a0) at pulse/thread-mainloop.c:94
#6  0x00007f8a2d38de67 in internal_thread_func (userdata=0x1aeb590) at pulsecore/thread-posix.c:83
#7  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7f8a0a85d700 (LWP 17607)):
#0  pthread_cond_wait () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f8a29b58153 in fifo_peek_int (fifo=0x1b0f8d0, blocking=1) at audio_out.c:348
#2  0x00007f8a29b59b5a in fifo_peek (this_gen=<value optimized out>) at audio_out.c:388
#3  ao_loop (this_gen=<value optimized out>) at audio_out.c:1015
#4  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#5  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7f89fd634700 (LWP 17623)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f8a36404518 in _L_lock_9650 () from /lib64/libc.so.6
#2  0x00007f8a36402901 in __libc_free (mem=0x7f8a366e0e60) at malloc.c:3737
#3  0x00007f8a36090d16 in g_ptr_array_free (farray=0x140aea0, free_segment=<value optimized out>) at garray.c:939
#4  0x00007f8a360bd48c in g_main_context_unref (context=0x7f8a18159e50) at gmain.c:488
#5  0x00007f8a377b6289 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x7f8a180aabb0, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:392
#6  0x00007f8a376976f4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:321
#7  0x00007f8a37697ee6 in ~__pthread_cleanup_class (arg=0x3aed490) at /usr/include/pthread.h:535
#8  QThreadPrivate::start (arg=0x3aed490) at thread/qthread_unix.cpp:290
#9  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#10 0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7f89f7fff700 (LWP 17626)):
#0  0xffffffffff60013b in ?? ()
#1  0x00007f89f7ffea20 in ?? ()
#2  0x00007fff7c7ff852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 6 (Thread 0x7f89fce33700 (LWP 17675)):
#0  0xffffffffff60013b in ?? ()
#1  0x00007f89fce32a20 in ?? ()
#2  0x00007fff7c7ff852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 5 (Thread 0x7f8a09e6f700 (LWP 17676)):
[KCrash Handler]
#6  malloc_consolidate (av=0x7f8a366e0e60) at malloc.c:5145
#7  0x00007f8a364002d4 in _int_malloc (av=0x7f8a366e0e60, bytes=3224) at malloc.c:4373
#8  0x00007f8a364029f0 in __libc_malloc (bytes=3224) at malloc.c:3661
#9  0x00007f8a275d2eff in sqlite3MemMalloc (nByte=3216) at sqlite3.c:14291
#10 0x00007f8a275afc93 in mallocWithAlarm (n=3216, pp=0x7f8a09e6df78) at sqlite3.c:17800
#11 0x00007f8a275afd68 in sqlite3Malloc (n=3216) at sqlite3.c:17833
#12 0x00007f8a27616966 in sqlite3ParserAlloc (pParse=0x4450eb8, zSql=0x41598c8 "SELECT Images.id, Albums.id  FROM Images INNER JOIN Albums   ON Images.album=Albums.id  WHERE name=? AND albumRoot=? AND relativePath=?;", pzErrMsg=0x1854b) at sqlite3.c:101752
#13 sqlite3RunParser (pParse=0x4450eb8, zSql=0x41598c8 "SELECT Images.id, Albums.id  FROM Images INNER JOIN Albums   ON Images.album=Albums.id  WHERE name=? AND albumRoot=? AND relativePath=?;", pzErrMsg=0x1854b) at sqlite3.c:38978
#14 0x00007f8a2761acd6 in sqlite3Prepare (db=0x427b078, zSql=<value optimized out>, nBytes=-1, saveSqlFlag=<value optimized out>, pReprepare=0x40, ppStmt=<value optimized out>, pzTail=0x7f8a09e6e108) at sqlite3.c:87785
#15 0x00007f8a2761ae09 in sqlite3LockAndPrepare (db=0x427b078, zSql=<value optimized out>, nBytes=-1, saveSqlFlag=1, pOld=0x0, ppStmt=0x7f8a18541db0, pzTail=0x7f8a09e6e108) at sqlite3.c:87880
#16 0x00007f8a2761af2e in sqlite3Prepare16 (db=0x427b078, zSql=0x1de6faa, nBytes=<value optimized out>, saveSqlFlag=1, ppStmt=0x7f8a18541db0, pzTail=0x0) at sqlite3.c:87989
#17 0x00007f8a1e8d1663 in QSQLiteResult::prepare (this=0x7f8a18307520, query=...) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:327
#18 0x00007f8a3d7f5bd0 in QSqlResult::savePrepare (this=0x7f8a18307520, query=...) at kernel/qsqlresult.cpp:600
#19 0x00007f8a3d7e776b in QSqlQuery::prepare (this=0x7f8a09e6e328, query=...) at kernel/qsqlquery.cpp:923
#20 0x00007f8a3c7713c2 in Digikam::SqlQuery::prepare (this=0x7f8a09e6e320, query=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/sqlquery.cpp:52
#21 0x00007f8a3c75c2ce in Digikam::DatabaseCoreBackend::prepareQuery (this=0x115d560, sql=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/databasecorebackend.cpp:1458
#22 0x00007f8a3c75ea11 in Digikam::DatabaseCoreBackend::execQuery (this=0xc98, sql=..., boundValue1=..., boundValue2=..., boundValue3=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/databasecorebackend.cpp:1011
#23 0x00007f8a3c75ea90 in Digikam::DatabaseCoreBackend::execSql (this=0x115d560, sql=<value optimized out>, boundValue1=<value optimized out>, boundValue2=<value optimized out>, boundValue3=<value optimized out>, values=0x7f8a09e6e470, lastInsertId=0x0) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/databasecorebackend.cpp:911
#24 0x00007f8a3c0f0d2e in Digikam::AlbumDB::getItemShortInfo (this=<value optimized out>, albumRootId=1, relativePath=<value optimized out>, name=<value optimized out>) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/albumdb.cpp:1354
#25 0x00007f8a3c145605 in Digikam::ImageInfo::ImageInfo (this=0x7f8a09e6e710, url=<value optimized out>) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/imageinfo.cpp:201
#26 0x00007f8a3c13856a in Digikam::DatabaseThumbnailInfoProvider::thumbnailInfo (this=<value optimized out>, path=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/database/databasethumbnailinfoprovider.cpp:45
#27 0x00007f8a3c7a22d8 in Digikam::ThumbnailCreator::makeThumbnailInfo (this=0x13cf1f0, path=..., rect=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threadimageio/thumbnailcreator.cpp:345
#28 0x00007f8a3c7a362f in Digikam::ThumbnailCreator::load (this=0x13cf1f0, path=<value optimized out>, rect=..., pregenerate=true) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threadimageio/thumbnailcreator.cpp:225
#29 0x00007f8a3c7a3d9e in Digikam::ThumbnailCreator::pregenerate (this=<value optimized out>, path=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threadimageio/thumbnailcreator.cpp:180
#30 0x00007f8a3c7adc60 in Digikam::ThumbnailLoadingTask::execute (this=0x7f89f8b5f300) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threadimageio/thumbnailtask.cpp:79
#31 0x00007f8a3c785286 in Digikam::LoadSaveThread::run (this=0x13f54c0) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threadimageio/loadsavethread.cpp:117
#32 0x00007f8a3c7c113e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x139f270) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/threads/dynamicthread.cpp:328
#33 0x00007f8a3768da22 in QThreadPoolThread::run (this=0x7f89f81e2320) at concurrent/qthreadpool.cpp:106
#34 0x00007f8a37697ede in QThreadPrivate::start (arg=0x7f89f81e2320) at thread/qthread_unix.cpp:285
#35 0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#36 0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7f89f68f6700 (LWP 17695)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f8a36404518 in _L_lock_9650 () from /lib64/libc.so.6
#2  0x00007f8a36402901 in __libc_free (mem=0x7f8a366e0e60) at malloc.c:3737
#3  0x00007f8a377b6289 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x427a6e0, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:392
#4  0x00007f8a376976f4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:321
#5  0x00007f8a37697ee6 in ~__pthread_cleanup_class (arg=0x4114810) at /usr/include/pthread.h:535
#6  QThreadPrivate::start (arg=0x4114810) at thread/qthread_unix.cpp:290
#7  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#8  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7f89f5736700 (LWP 17696)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f8a36404518 in _L_lock_9650 () from /lib64/libc.so.6
#2  0x00007f8a36402901 in __libc_free (mem=0x7f8a366e0e60) at malloc.c:3737
#3  0x00007f8a360b981b in g_source_unref_internal (source=0x4465360, context=0x2675c20, have_lock=0) at gmain.c:1703
#4  0x00007f8a377b6183 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x3237890, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:369
#5  0x00007f8a376976f4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:321
#6  0x00007f8a37697ee6 in ~__pthread_cleanup_class (arg=0x428e460) at /usr/include/pthread.h:535
#7  QThreadPrivate::start (arg=0x428e460) at thread/qthread_unix.cpp:290
#8  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7f89f4f35700 (LWP 17697)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f8a36404518 in _L_lock_9650 () from /lib64/libc.so.6
#2  0x00007f8a36402901 in __libc_free (mem=0x7f8a366e0e60) at malloc.c:3737
#3  0x00007f8a360b981b in g_source_unref_internal (source=0x13f0630, context=0x461ef10, have_lock=0) at gmain.c:1703
#4  0x00007f8a377b6183 in QEventDispatcherGlib::~QEventDispatcherGlib (this=0x38bf160, __in_chrg=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:369
#5  0x00007f8a376976f4 in QThreadPrivate::finish (arg=<value optimized out>) at thread/qthread_unix.cpp:321
#6  0x00007f8a37697ee6 in ~__pthread_cleanup_class (arg=0x428e430) at /usr/include/pthread.h:535
#7  QThreadPrivate::start (arg=0x428e430) at thread/qthread_unix.cpp:290
#8  0x00007f8a37407914 in start_thread (arg=<value optimized out>) at pthread_create.c:297
#9  0x00007f8a3645c81d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7f8a3fd287c0 (LWP 17595)):
#0  __lll_lock_wait_private () at ../nptl/sysdeps/unix/sysv/linux/x86_64/lowlevellock.S:97
#1  0x00007f8a36404518 in _L_lock_9650 () from /lib64/libc.so.6
#2  0x00007f8a36402901 in __libc_free (mem=0x7f8a366e0e60) at malloc.c:3737
#3  0x00007f8a383f11d3 in ~QVector (this=0x7f89f816bfe0, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qvector.h:119
#4  QBoxLayoutPrivate::~QBoxLayoutPrivate (this=0x7f89f816bfe0, __in_chrg=<value optimized out>) at kernel/qboxlayout.cpp:147
#5  0x00007f8a377a2b1c in cleanup (this=<value optimized out>, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:62
#6  ~QScopedPointer (this=<value optimized out>, __in_chrg=<value optimized out>) at ../../include/QtCore/../../src/corelib/tools/qscopedpointer.h:100
#7  QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:963
#8  0x00007f8a383f3f61 in QHBoxLayout::~QHBoxLayout (this=0x7f8a366e0e60, __in_chrg=<value optimized out>) at kernel/qboxlayout.cpp:1403
#9  0x00007f8a3843bc3e in QWidget::~QWidget (this=0x7f89f8030cb0, __in_chrg=<value optimized out>) at kernel/qwidget.cpp:1512
#10 0x00007f8a389eb074 in QGraphicsProxyWidget::~QGraphicsProxyWidget (this=0x7f89f816ba30, __in_chrg=<value optimized out>) at graphicsview/qgraphicsproxywidget.cpp:554
#11 0x00007f8a3c87f063 in Digikam::RegionFrameItem::~RegionFrameItem (this=0x7f89f8551410, __in_chrg=<value optimized out>) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/libs/widgets/graphicsview/regionframeitem.cpp:412
#12 0x00000000006e3e68 in Digikam::FaceItem::~FaceItem (this=0x7f89f8551410, __in_chrg=<value optimized out>) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/utilities/facedetection/facegroup.cpp:63
#13 0x00000000006e310a in Digikam::FaceGroup::clear (this=0x1487630) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/utilities/facedetection/facegroup.cpp:601
#14 0x00000000006e3230 in Digikam::FaceGroup::setInfo (this=0x1487630, info=...) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/utilities/facedetection/facegroup.cpp:335
#15 0x000000000069388d in Digikam::ImagePreviewView::imageLoaded (this=0x146ba60) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/digikam/views/imagepreviewview.cpp:294
#16 0x0000000000694154 in Digikam::ImagePreviewView::qt_metacall (this=0x146ba60, _c=QMetaObject::InvokeMetaMethod, _id=20977872, _a=0x7fff7c7cc7e0) at /usr/local/src/Releases/digikam-2.0.0-beta3/build/core/digikam/imagepreviewview.moc:131
#17 0x00007f8a377a11df in QMetaObject::activate (sender=0x1482270, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3272
#18 0x00007f8a3c87e55e in Digikam::DImgPreviewItem::qt_metacall (this=0x1482270, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x3c63ea0) at /usr/local/src/Releases/digikam-2.0.0-beta3/build/core/digikam/dimgpreviewitem.moc:86
#19 0x00007f8a3779b28e in QObject::event (this=0x1482270, e=0x7f8a366e0e60) at kernel/qobject.cpp:1211
#20 0x00007f8a383e1bec in QApplicationPrivate::notify_helper (this=0x1060d60, receiver=0x1482270, e=0x3efd960) at kernel/qapplication.cpp:4445
#21 0x00007f8a383e702d in QApplication::notify (this=0x7fff7c7cd390, receiver=0x1482270, e=0x3efd960) at kernel/qapplication.cpp:4324
#22 0x00007f8a39136e36 in KApplication::notify (this=0x7fff7c7cd390, receiver=0x1482270, event=0x3efd960) at /usr/local/src/checkout/kdelibs/kdeui/kernel/kapplication.cpp:311
#23 0x00007f8a377895fb in QCoreApplication::notifyInternal (this=0x7fff7c7cd390, receiver=0x1482270, event=0x3efd960) at kernel/qcoreapplication.cpp:732
#24 0x00007f8a3778c581 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0xffbb30) at kernel/qcoreapplication.h:215
#25 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0xffbb30) at kernel/qcoreapplication.cpp:1373
#26 0x00007f8a377b5aa3 in sendPostedEvents (s=0x1063920) at kernel/qcoreapplication.h:220
#27 postEventSourceDispatch (s=0x1063920) at kernel/qeventdispatcher_glib.cpp:277
#28 0x00007f8a360b9fa1 in g_main_dispatch (context=0x1063840) at gmain.c:2440
#29 g_main_context_dispatch (context=0x1063840) at gmain.c:3013
#30 0x00007f8a360be638 in g_main_context_iterate (context=0x1063840, block=<value optimized out>, dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:3091
#31 0x00007f8a360be7ec in g_main_context_iteration (context=0x1063840, may_block=1) at gmain.c:3154
#32 0x00007f8a377b55e3 in QEventDispatcherGlib::processEvents (this=0x1060d20, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#33 0x00007f8a3849321e in QGuiEventDispatcherGlib::processEvents (this=0x7f8a366e0e60, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#34 0x00007f8a37788352 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#35 0x00007f8a37788734 in QEventLoop::exec (this=0x7fff7c7cd1f0, flags=) at kernel/qeventloop.cpp:201
#36 0x00007f8a3778c7ab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#37 0x00000000006f712d in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/local/src/Releases/digikam-2.0.0-beta3/core/digikam/main/main.cpp:232

Possible duplicates by query: bug 268901, bug 265245, bug 257258, bug 235392, bug 233226.

Reported using DrKonqi
Comment 1 Marcel Wiesweg 2011-03-26 15:47:20 UTC
The crash happens deep inside sqlite.
There could be memory corruption occurred earlier, perhaps due to one of the bugs fixed lately and still present here. Unfortunately, I dont have a good idea about this one atm.
Comment 2 James Colby 2011-03-26 18:23:29 UTC
Thanks for the reply.  Do you think it would be helpful to re-compile against a different version of SQLite to see if there is still a crash?
Comment 3 James Colby 2011-03-28 20:54:19 UTC
Upgrading to git master seems to have resolved the issue for me.  This bug can be closed now.
Comment 4 Kristian Karl 2011-04-10 17:34:41 UTC
I get also get a crash while assigning face tags.
The crash is intermittent.
I'm using: Digikam 2.0 Beta 4, on KDE 4.6.2


Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffb831d700 (LWP 10743)]
0x00007fffeef8627a in _int_free (av=0x7fffef28ae40, p=0x4511e60) at malloc.c:4973
4973	malloc.c: No such file or directory.
	in malloc.c
(gdb) bt
#0  0x00007fffeef8627a in _int_free (av=0x7fffef28ae40, p=0x4511e60) at malloc.c:4973
#1  0x00007fffeef89c83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#2  0x00007ffff4398835 in Digikam::ImageInfo::~ImageInfo (this=0x7fffc44cb098, __in_chrg=<value optimized out>)
    at /build/buildd/digikam2-2.0.0~beta4+maverick~ppa1kde46/libs/database/imageinfo.cpp:222
#3  0x00007ffff439b47c in node_destruct (this=<value optimized out>, data=0x0) at /usr/include/qt4/QtCore/qlist.h:420
#4  QList<Digikam::ImageInfo>::free (this=<value optimized out>, data=0x0) at /usr/include/qt4/QtCore/qlist.h:741
#5  0x00007ffff439d453 in ~QList (t=0x7fffef28ae40) at /usr/include/qt4/QtCore/qlist.h:716
#6  qMetaTypeDeleteHelper<QList<Digikam::ImageInfo> > (t=0x7fffef28ae40) at /usr/include/qt4/QtCore/qmetatype.h:134
#7  0x00007ffff01159a2 in QMetaType::destroy (type=<value optimized out>, data=0x7fffc4507820)
    at kernel/qmetatype.cpp:1396
#8  0x00007ffff011b7d1 in QMetaCallEvent::~QMetaCallEvent (this=0x7fffc45d0880, __in_chrg=<value optimized out>)
    at kernel/qobject.cpp:520
#9  0x00007ffff010dc31 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, 
    data=0x34e34e0) at kernel/qcoreapplication.cpp:1389
#10 0x00007ffff0137653 in sendPostedEvents (s=0x7fffa003cb30)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#11 postEventSourceDispatch (s=0x7fffa003cb30) at kernel/qeventdispatcher_glib.cpp:277
#12 0x00007fffea482342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#13 0x00007fffea4862a8 in ?? () from /lib/libglib-2.0.so.0
#14 0x00007fffea48645c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#15 0x00007ffff0137193 in QEventDispatcherGlib::processEvents (this=0x7fffa01fe330, flags=<value optimized out>)
    at kernel/qeventdispatcher_glib.cpp:415
#16 0x00007ffff0109a02 in QEventLoop::processEvents (this=<value optimized out>, flags=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at kernel/qeventloop.cpp:149
#17 0x00007ffff0109dec in QEventLoop::exec (this=0x7fffb831cb40, flags=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at kernel/qeventloop.cpp:201
#18 0x00007ffff4a09bf9 in Digikam::WorkerObjectRunnable::run (this=0x7fffc45622d0)
    at /build/buildd/digikam2-2.0.0~beta4+maverick~ppa1kde46/libs/threads/threadmanager.cpp:196
#19 0x00007ffff000cd02 in QThreadPoolThread::run (this=0x356ec10) at concurrent/qthreadpool.cpp:106
#20 0x00007ffff001727e in QThreadPrivate::start (arg=0x356ec10) at thread/qthread_unix.cpp:266
#21 0x00007fffebae9971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#22 0x00007fffeeff292d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#23 0x0000000000000000 in ?? ()
(gdb)